skylighting-0.1.1.5: syntax highlighting library

Safe Haskell | None
Language | Haskell2010

Skylighting.Parser

Synopsis

- parseSyntaxDefinition :: String -> IO (Either String Syntax)
- addSyntaxDefinition :: Syntax -> SyntaxMap -> SyntaxMap
- missingIncludes :: [Syntax] -> [(Text, Text)]

# Documentation

parseSyntaxDefinition :: String -> IO (Either String Syntax) #

Parses a file containing a Kate XML syntax definition into a `Syntax` description.

addSyntaxDefinition :: Syntax -> SyntaxMap -> SyntaxMap #

Adds a syntax definition to a syntax map, replacing any existing definition with the same name.

missingIncludes :: [Syntax] -> [(Text, Text)] #

Scan a list of `Syntax`s and make sure that `IncludeRules` never asks for a syntax not in this list. Produces a list of pairs where the first element is the including syntax name and the second element is the (missing) included syntax name. This is intended for sanity checks to avoid run-time errors.